### Function

# Gdk ContentFormats new

#### Declaration [src]

    GdkContentFormats*
    gdk_content_formats_new (
      const char** mime_types,
      guint n_mime_types
    )

#### Description [src]

Creates a new `GdkContentFormats` from an array of mime types.

The mime types must be valid and different from each other or the behavior of the return value is undefined. If you cannot guarantee this, use `GdkContentFormatsBuilder` instead.

#### Parameters

`mime_types` | An array of `char*`
| Pointer to an array of mime types.
| The argument can be `NULL`.
| The length of the array is specified in the `n_mime_types` argument.
| The data is owned by the caller of the function.
`n_mime_types` | `guint`
| Number of entries in `mime_types`.

#### Return value

Returns: | `GdkContentFormats`
| The new `GdkContentFormats`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.